com.mxgraph.layout.hierarchical.model

## Class mxGraphHierarchyNode

- java.lang.Object
- - com.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell
  - - com.mxgraph.layout.hierarchical.model.mxGraphHierarchyNode

-     public class mxGraphHierarchyNode
      extends mxGraphAbstractHierarchyCell

  An abstraction of an internal node in the hierarchy layout

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `cell` The graph cell this object represents.
    `java.util.Collection<mxGraphHierarchyEdge>` | `connectsAsSource` Collection of hierarchy edges that have this node as a source
    `java.util.Collection<mxGraphHierarchyEdge>` | `connectsAsTarget` Collection of hierarchy edges that have this node as a target
    `static java.util.Collection<mxGraphHierarchyEdge>` | `emptyConnectionMap` Shared empty connection map to return instead of null in applyMap.
    `int[]` | `hashCode` Assigns a unique hashcode for each node.

    - ### Fields inherited from class com.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell

      `height, maxRank, minRank, nextLayerConnectedCells, previousLayerConnectedCells, temp, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxGraphHierarchyNode(java.lang.Object cell)` Constructs an internal node to represent the specified real graph cell

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGeneralPurposeVariable(int layer)` Gets the value of temp for the specified layer
    `java.util.List<mxGraphAbstractHierarchyCell>` | `getNextLayerConnectedCells(int layer)` Returns the cells this cell connects to on the next layer up
    `java.util.List<mxGraphAbstractHierarchyCell>` | `getPreviousLayerConnectedCells(int layer)` Returns the cells this cell connects to on the next layer down
    `int` | `getRankValue()` Returns the integer value of the layer that this node resides in
    `boolean` | `isAncestor(mxGraphHierarchyNode otherNode)`
    `boolean` | `isEdge()`
    `boolean` | `isVertex()`
    `void` | `setGeneralPurposeVariable(int layer, int value)` Set the value of temp for the specified layer

    - ### Methods inherited from class com.mxgraph.layout.hierarchical.model.mxGraphAbstractHierarchyCell

      `getX, setX, setY`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emptyConnectionMap

          public static java.util.Collection<mxGraphHierarchyEdge> emptyConnectionMap

      Shared empty connection map to return instead of null in applyMap.

    - #### cell

          public java.lang.Object cell

      The graph cell this object represents.

    - #### connectsAsTarget

          public java.util.Collection<mxGraphHierarchyEdge> connectsAsTarget

      Collection of hierarchy edges that have this node as a target

    - #### connectsAsSource

          public java.util.Collection<mxGraphHierarchyEdge> connectsAsSource

      Collection of hierarchy edges that have this node as a source

    - #### hashCode

          public int[] hashCode

      Assigns a unique hashcode for each node. Used by the model dfs instead of copying HashSets

  - ### Constructor Detail

    - #### mxGraphHierarchyNode

          public mxGraphHierarchyNode(java.lang.Object cell)

      Constructs an internal node to represent the specified real graph cell
      Parameters:
        `cell` - the real graph cell this node represents

  - ### Method Detail

    - #### getRankValue

          public int getRankValue()

      Returns the integer value of the layer that this node resides in
      Returns:
        the integer value of the layer that this node resides in

    - #### getNextLayerConnectedCells

          public java.util.List<mxGraphAbstractHierarchyCell> getNextLayerConnectedCells(int layer)

      Returns the cells this cell connects to on the next layer up
      Specified by:
        `getNextLayerConnectedCells` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer this cell is on
      Returns:
        the cells this cell connects to on the next layer up

    - #### getPreviousLayerConnectedCells

          public java.util.List<mxGraphAbstractHierarchyCell> getPreviousLayerConnectedCells(int layer)

      Returns the cells this cell connects to on the next layer down
      Specified by:
        `getPreviousLayerConnectedCells` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer this cell is on
      Returns:
        the cells this cell connects to on the next layer down

    - #### isEdge

          public boolean isEdge()

      Specified by:
        `isEdge` in class `mxGraphAbstractHierarchyCell`
      Returns:
        whether or not this cell is an edge

    - #### isVertex

          public boolean isVertex()

      Specified by:
        `isVertex` in class `mxGraphAbstractHierarchyCell`
      Returns:
        whether or not this cell is a node

    - #### getGeneralPurposeVariable

          public int getGeneralPurposeVariable(int layer)

      Gets the value of temp for the specified layer
      Specified by:
        `getGeneralPurposeVariable` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer relating to a specific entry into temp
      Returns:
        the value for that layer

    - #### setGeneralPurposeVariable

          public void setGeneralPurposeVariable(int layer,
                                       int value)

      Set the value of temp for the specified layer
      Specified by:
        `setGeneralPurposeVariable` in class `mxGraphAbstractHierarchyCell`
      Parameters:
        `layer` - the layer relating to a specific entry into temp
        `value` - the value for that layer

    - #### isAncestor

          public boolean isAncestor(mxGraphHierarchyNode otherNode)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.